#[cfg(test)]
mod tests {
    use crate::{
        datafile::datafile_test_utils::MockDataFile, storage::visitor::Visitor, targeting::TargetingDataBuilder,
        utils::test_utils::assert_targeting,
    };

    use rstest::rstest;

    #[rstest]
    fn test_check() {
        let datafile = MockDataFile::default();
        let visitor = Visitor::new();
        assert_targeting(
            "resources/conditions/mock_segment_unknown.json",
            &TargetingDataBuilder::new().build(&datafile, &visitor.rdata()),
            true,
        );
    }
}
